import QtQuick
import QtQuick.VirtualKeyboard

/**
 * @brief Кнопка смены раскладки клавиатуры
 */
Key {
    noKeyEvent: true
    functionKey: true
    highlighted: true
    required property string targetLayout
    text: {
        // По мере необходимости добавлять текст кнопки для разных раскладок
        if ( ["letters", "main"].indexOf(targetLayout) === -1)
            return "123"
        if (keyboard.inputLocale === "ru_RU")
            return "АБВ"
        return "ABC"
    }
    onClicked: keyboard.layoutType = targetLayout
}
