import QtQuick
import QtQuick.Shapes

/**
 * @brief Линия для разделения списка
 */
Shape {
    id: shape

    property alias strokeWidth: shapePath.strokeWidth
    property alias strokeStyle: shapePath.strokeStyle
    property alias dashPattern: shapePath.dashPattern
    property alias color: shapePath.strokeColor
    property int direction: LineDirection.Horizontal
    ShapePath {
        id: shapePath
        strokeStyle: ShapePath.SolidLine
        startX: 0; startY: 0
        PathLine {
            relativeX: direction === LineDirection.Horizontal ? shape.width : 0
            relativeY: direction === LineDirection.Vertical ? shape.height : 0
        }
    }
}
